version: '3.0'
services:
  clientapi:
    build:
      context: clientapi/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8805:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apiengagement:
    build:
      context: apiengagement/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8813:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apiauthorization:
    build:
      context: apiauthorization/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8816:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  modelservice:
    build:
      context: modelservice/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8807:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  beastmonitoringapis:
    build:
      context: beastmonitoringapis/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8815:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidataexplorer:
    build:
      context: apidataexplorer/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8803:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  datapipelinesql:
    build:
      context: datapipelinesql/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8802:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidatacartridge:
    build:
      context: apidatacartridge/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8814:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  apidatacatalog:
    build:
      context: apidatacatalog/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8804:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
  confapi:
    build:
      context: confapi/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8811:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  confui:
    build:
      context: confui/.
      args:
        workdir: $WORKSPACE
    restart: unless-stopped
    ports:
      - '8812:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  apilearningnotebooks:
    build:
      context: apilearningnotebooks/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8817:80'
    volumes:
      - flask_dev:/flask
      - ~/.aws:/var/www/.aws
      - /var/www/nb-images:/var/www/nb-images
    networks:
      - flask_default
  apiaipipeline:
    build:
      context: apiaipipeline/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8818:80'
    volumes:
      - flask_dev:/flask
    networks:
      - flask_default
  apidatapipeline:
    build:
      context: apidatapipeline/.
      args:
        workdir: '/flask'
    privileged: true
    restart: unless-stopped
    ports:
      - '8819:80'
    volumes:
      - flask_dev:/flask
      - mvp_applicationlogs:/applicationlogs
    networks:
      - flask_default
networks:
  flask_default:
volumes:
  flask_dev:
  aws_featureapi:
  mvp_applicationlogs:
